@charset "UTF-8";

/*　ハンバーガーボタン　*/
.hamburger {
  display: block;
  position: fixed;
  z-index: 99999;
  right: 20px;
  top: 13px;
  width: 44px;
  height: 44px;
  cursor: pointer;
  text-align: center;
  background: var(--main-color);
  border-radius: 4px;
}

.hamburger span {
  display: block;
  position: absolute;
  width: 22px;
  height: 2px;
  left: 11px;
  background: #fff;
  -webkit-transition: 0.5s ease-in-out;
  -moz-transition: 0.5s ease-in-out;
  transition: 0.5s ease-in-out;
  border-radius: 100vmax;
}

.hamburger span:nth-child(1) {
  top: 12px;
}

.hamburger span:nth-child(2) {
  top: 21px;
}

.hamburger span:nth-child(3) {
  top: 30px;
}

/* ナビ開いてる時のボタン */
.hamburger.active span:nth-child(1) {
  top: 22px;
  -webkit-transform: rotate(315deg);
  -moz-transform: rotate(315deg);
  transform: rotate(315deg);
}

.hamburger.active span:nth-child(2),
.hamburger.active span:nth-child(3) {
  top: 22px;
  -webkit-transform: rotate(-315deg);
  -moz-transform: rotate(-315deg);
  transform: rotate(-315deg);
}

nav.globalMenuSp {
  position: fixed;
  z-index: 9999;
  top: 0;
  left: 0;
  color: #000;
  transform: translateX(100%);
  transition: all 0.6s;
  width: 100%;
  height: 100vh;
  align-items: center;
  background: var(--bg-color);
  overflow: scroll;
  padding: 70px 5vw 5vw;
  display: grid;
  grid-template-columns: 1fr;
  place-content: center;
}

nav.globalMenuSp .menu_area {
  margin-bottom: 10vw;
}

nav.globalMenuSp .menu_area ul li {
  border-top: 1px solid #ddd;
}

nav.globalMenuSp .menu_area ul li:last-child {
  border-bottom: 1px solid #ddd;
}

nav.globalMenuSp .menu_area ul li .link {
  font-size: 3.4vw;
  letter-spacing: .04em;
  font-weight: 600;
  color: var(--main-color);
  padding: 1em 0.8em;
  display: flex;
  align-items: center;
}

nav.globalMenuSp .menu_area ul li .link .en_name {
  margin-left: 0.8em;
  font-size: 2.8vw;
  color: #9f9f9f;
}

nav.globalMenuSp .menu_area ul li .link::after {
  content: "";
  width: 2vw;
  aspect-ratio: 1;
  border-right: 1.6px solid #9f9f9f;
  border-bottom: 1.6px solid #9f9f9f;
  rotate: -45deg;
  margin-left: auto;
}

nav.globalMenuSp .link_area ul li+li {
  margin-top: 3vw;
}

nav.globalMenuSp .link_area ul li .link {
  display: block;
  background: var(--main-color);
  color: #fff;
  font-size: 4vw;
  letter-spacing: .04em;
  line-height: 12vw;
  font-weight: 700;
  width: 100%;
  text-align: center;
  border-radius: 100vmax;
  margin: 0 auto;
}

/* このクラスを、jQueryで付与・削除する */
nav.globalMenuSp.active {
  transform: translateX(0%);
}